
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle中专用服务器和共享服务器连接与会话 / iVAN</title>

    <meta name="description" content="Oracle中专用服务器和共享服务器连接与会话 连接:客户端进程和服务器进程之间的一条物理路径 会话:数据库的一个逻辑实体,由客户端进程和服务器进程搭建起来,作为2个进程之间通信的信道 一.专用服务器连接 1.在linux上,可以在同一台机器上运行客户端和服务器进程,能很清楚的看出这种父/子进程关系 SYSTEM@PROD&gt; select a.spid dedicated_server,b.process clientpid 2 from v$process a,v$session b 3 where a.addr=b.paddr an ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle中专用服务器和共享服务器连接与会话</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>连接：客户端进程和服务器进程之间的一条物理路径</p>
<p>会话：数据库的一个逻辑实体，由客户端进程和服务器进程搭建起来，作为2个进程之间通信的信道</p>
<p>一、专用服务器连接</p>
<p>1.在linux上，可以在同一台机器上运行客户端和服务器进程，能很清楚的看出这种父/子进程关系</p>
<p>SYSTEM@PROD&gt; select a.spid dedicated_server,b.process clientpid</p>
<p>2 from v$process a,v$session b</p>
<p>3 where a.addr=b.paddr and</p>
<p>4 b.sid=(select sid from v$mystat where rownum=1);</p>
<p>DEDICATED_SE CLIENTPID</p>
<p>------------ ------------</p>
<p>4606        4557</p>
<p>SYSTEM@PROD&gt; !/bin/ps -ef | grep 4557</p>
<p>oracle   4557 8686 0 15:25 pts/3   00:00:00 sqlplus  客户端进程(父进程)</p>
<p>oracle   4606 4557 0 15:25 ?       00:00:00 oraclePROD (DESCRIPTION=(LOCAL=YES)</p>
<p>(ADDRESS=(PROTOCOL=beq))) 服务端进程(子进程)</p>
<p>即：sqlplus进程是父进程-&gt;oraclePROD是子进程，能很清楚的看出了这种父/子进程关系。谁发起谁是父进程</p>
<p>DESCRIPTION=(LOCAL=YES）说明客户端进程是本地的</p>
<p>DESCRIPTION=(LOCAL=NO）说明客户端进程是远程的</p>
<p>2.可以使用sqlplus在看看实际的连接和会话是什么样子。这里使用了autotrace命令，发现有两个会话</p>
<p>，我们在一条连接创建了2个会话。一条连接上的不同会话可以使用不同的用户身份</p>
<p>即：一个连接上可以创建0个、1个、多个会话，每个会话都是独立的。</p>
<p>  一个会话可以有连接也可以没有连接（会话会空闲）</p>
<p>[oracle@secdb1 ~]$ sqlplus system/oracle        使用system用户进入sqlplus</p>
<p>SYSTEM@PROD&gt; select username,sid,serial#,server,paddr,status from v$session</p>
<p>2 where username=USER;</p>
<p>USERNAME                            SID   SERIAL# SERVER   PADDR   STATUS</p>
<p>------------------------------ ---------- ---------- --------- -------- --------</p>
<p>SYSTEM                               110      24 DEDICATED329DB9DCACTIVE</p>
<p>只需打开autotrace来查看sqlplus中所执行语句的统计结果</p>
<p>SYSTEM@PROD&gt; set autotrace on statistics         打开执行计划中的统计信息</p>
<p>SYSTEM@PROD&gt; select username,sid,serial#,server,paddr,status from v$session</p>
<p>2 where username=USER;</p>
<p>USERNAME                             SID   SERIAL# SERVER   PADDR   STATUS</p>
<p>------------------------------ ---------- ---------- --------- -------- --------</p>
<p>更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/database/Oracle/</p>
<p>SYSTEM                               109       183 DEDICATED329DB9DCINACTIVE 监控会话</p>
<p>SYSTEM                               110        24 DEDICATED329DB9DCACTIVE   实际会话</p>
<p>这个109 110会话使用了一个329DB9DC进程地址，也就是一个连接创建了2个会话</p>
<p>Statistics</p>
<p>----------------------------------------------------------</p>
<p>0 recursive calls</p>
<p>0 db block gets</p>
<p>0 consistent gets</p>
<p>0 physical reads</p>
<p>0 redo size</p>
<p>  774 bytes sent via SQL*Net to client</p>
<p>  381 bytes received via SQL*Net from client</p>
<p>2 SQL*Net roundtrips to/from client</p>
<p>0 sorts (memory)</p>
<p>0 sorts (disk)</p>
<p>2 rows processed</p>
<p>SYSTEM@PROD&gt; set autotrace off                  关闭执行计划</p>
<p>Sqlplus中启用AUTOTRACE时，如果我们执行DML操作（insert  update  delete  merge）</p>
<p>(1)如果还不存在“监控会话”，它会使用当前连接创建一个新会话（监控会话109）</p>
<p>(2)要求这个新会话查询v$sesstat视图来记住实际会话的初始统计值。</p>
<p>(3)在原会话中运行DML操作</p>
<p>(4)DML语句执行结束后，sqlplus会请求监控会话再次查询v$sesstat视图，并生成前面的所示报告，显示出实际会话的统计结果只差。</p>
<p>3.现在使用sqlplus来查看一条没有任何会话的连接，在sqlplus窗口中键入一条disconnect命令</p>
<p>SYSTEM@PROD&gt; disconnect                       关闭所有会话</p>
<p>Disconnected from Oracle Database 10g Enterprise Edition Release 10.2.0.1.0 - Production</p>
<p>With the Partitioning, OLAP and Data Mining options</p>
<p>@&gt; show user</p>
<p>USER is ""                                      没有登录用户</p>
<p>@&gt; select username,sid,serial#,server,paddr,status from v$session    </p>
<p>2 where username=USER;</p>
<p>SP2-0640: Not connected                          只是说明没有会话了，但连接还在</p>
<p>注：从技术上讲，这个命令应该叫distroy_all_session（破坏所有会话）更合适，而不是disconnect，因为我们并没有真正断开物理连接。如果想断开物理连接，应该执行“exit”</p>
<p>@&gt; exit</p>
<p>[oracle@secdb1 ~]$</p>
<p>[oracle@secdb1 ~]$ sqlplus / as sysdba                       使用sys用户来查询system用户的会话</p>
<p>SYS@PROD&gt; select * from v$session where username='SYSTEM';  可以看到，这个system用户下没有会话</p>
<p>no rows selected</p>
<p>但PADDR329DB9DC进程还存在，对应的有一条物理连接。</p>
<p>SYS@PROD&gt; select username,program from v$process where addr='329DB9DC';</p>
<p>USERNAME       PROGRAM</p>
<p>--------------- ------------------------------------------------</p>
<p>oracle         oracle@secdb1 (TNS V1-V3)</p>
<p>4.现在使用sqlplus的connect命令创建一个新会话，但还是使用原来的PADDR329DB9DC进程连接</p>
<p>@&gt; conn system/oracle</p>
<p>Connected.</p>
<p>SYSTEM@PROD&gt;</p>
<p>SYSTEM@PROD&gt; select username,sid,serial#,server,paddr,status from v$session</p>
<p>2 where username=USER;</p>
<p>USERNAME                             SID   SERIAL# SERVER   PADDR   STATUS</p>
<p>SYSTEM                                104    31  DEDICATED329DB9DCACTIVE</p>
<p>可以注意到，PADDR329DB9DC还是使用原来的进程连接，但SID是新的会话ID了，可能会分配原来的SID，也可能是新的SID，这取决于在我们注销时是否有别人登录，以及我们原来的SID是否可用。</p>
<p>注：最常见的是一个连接对应一个会话，这也是大多数人每天所看到的情况</p>
<p>1）专用服务器模式下UGA在PGA中分配空间</p>
<p>2）共享服务器模式下UGA在SGA中分配空间</p>
<p>作者：51cto博客 Oracle小混子</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 06:17:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/username/" title="username">username</a>, <a href="https://www.iamivan.net/tag/oracle-sqlplus/" title="oracle sqlplus">oracle sqlplus</a>, <a href="https://www.iamivan.net/tag/sqlplus/" title="sqlplus">sqlplus</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle中专用服务器和共享服务器连接与会话的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLnyab.html" rel="bookmark">Oracle中三种表连接算法的总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle有三种表连接技术,分别是嵌套连接.合并连接和哈希连接.以下就是对这三种表连接算法进行了详细的分析介绍,需要的朋友可以参考下   1. 嵌套循环连接 (NESTED LOOP Join)嵌套连接把要处理的数据集分为外循环(驱动数据源)和内循环(被驱动数据源),外循环只执行一次(先执行),内循环执行的次数等于外循环执行的数据集个数. 这种连接的好处是内存使用非常少. 如果驱动数据源有限,且被驱动表在连接列上有相应的索引,则这种连接方式才是高效的. 在OLTP系统上常见到这种连接方式. 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlVvxLz.html" rel="bookmark">Oracle中三种表连接算法的总结&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 嵌套循环连接 (NESTED LOOP Join)嵌套连接把要处理的数据集分为外循环(驱动数据源)和内循环(被驱动数据源),外循环只执行一次(先执行),内循环执行的次数等于外循环执行的数据集个数. 这种连接的好处是内存使用非常少.如果驱动数据源有限,且被驱动表在连接列上有相应的索引,则这种连接方式才是高效的.在OLTP系统上常见到这种连接方式. 2. 排序合并连接 (Sort Merge Join)顾名思义,排序合并就是先分别对待连接的数据集进行排序,然后再合并,其执行过程大致为:对表A的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXDjjp.html" rel="bookmark">Oracle中会话与事务的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个会话可以启动多个事务,会话是session,指一次连接. 事务是指一个操作单元,要么成功,要么失败,没有中间状态. 会话中可以完成多个事务. 例如: 会话好比,在应用程序中连接数据库要执行连接,然后会关闭,这算一次会话. 事务呢,就好比在打开会话后要执行程序中的某一个或多个对数据库进行的操作. 事物的最好例子就是转账,从一个账户赚钱到另一个账户,两张表的数据修改,要么全成功,要门全变回原样. 会话看 v$session 事务看 v$transaction 这两张视图通过 v$session.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlL1WqM.html" rel="bookmark">Oracle中删除用户和表空间的常见问题&lpar;比如：ORA-01940无法删除当前已连接用户的解决方案&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这时候以管理员身份进入sqlplus命令窗口. 在删除用户的时候有时候会出现以下问题: ORA-01940无法删除当前已连接用户 这时候的解决方案是: 1)查看用户的连接状况   select username,sid,serial# from v$session (2)找到要删除用户的sid,和serial,并删除 例如:你要删除用户'WUZHQ',可以这样做: alter system kill session'532,4562'; 这里的532表示的是sid,4562表示的是seria.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPLgmp.html" rel="bookmark">Oracle中会话与事务有什么区别&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        一个会话可以启动多个事务,会话是session,指一次连接.         事务是指一个操作单元,要么成功,要么失败,没有中间状态.         会话中可以完成多个事务. 例如:         会话好比,在应用程序中连接数据库要执行连接,然后会关闭,这算一次会话.         事务呢,就好比在打开会话后要执行程序中的某一个或多个对数据库进行的操作.         事物的最好例子就是转账,从一个账户赚钱到另一个账户,两张表的数据修改,要么全成功,要门全变回原样.  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0WXBM.html" rel="bookmark">oracle中或者or和左连接left join 怎么一起使用&quest;&quest;&quest;&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 oracle中或者or和左连接left join 怎么一起使用???? 语句 select a.owner_id,count(b1.ship_id) cnt,nvl(sum(b1.dwt),0) dwt from so_shipowner_info a left join order_info_secondhand_formal b1 on b1.ship_business_date&gt;to_char(sysdate,'yyyy') and (b1.buyer_id=a.owner_id			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBaV0b.html" rel="bookmark">delphi用dbExpress中的TSQLConnection组件连接oracle数据报错！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 delphi用dbExpress中的TSQLConnection组件连接oracle数据报错! http://zhidao.baidu.com/question/2051755277318156387.html?quesup2&amp;oldq=1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQW4YOp.html" rel="bookmark">Oracle中SQL语句连接字符串的符号使用介绍&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle中SQL语句连接字符串的符号为|| 复制代码 代码如下: select catstr(tcdm) || (',') from T_YWCJ_RWCJR where cjrjh='009846' and rwid='12050' and jsdm='CJY' 拼接成一条数据并连接一个&quot;,&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRX39dz.html" rel="bookmark">Oracle中字符串连接的实现方法&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				和其他数据库系统类似,Oracle字符串连接使用&quot;||&quot;进行字符串拼接,其使用方式和MSSQLServer中的加号&quot;+&quot;一样. 比如执行下面的SQL语句: 复制代码 代码如下: SELECT '工号为'||FNumber||'的员工姓名为'||FName FROM T_Employee WHERE FName IS NOT NULL 除了&quot;||&quot;,Oracle还支持使用CONCAT()函数进行字符串拼接,比如执行下面的SQL语句: SELECT			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO5VRM.html" rel="bookmark" class="title">Hibernate作为数据持久层的分析和研究</a>
					<div>
						数据 摘要 在Java技术中有许多方法可以对数据进行持久化,持久层也是Java应用程序中最重要的部分之一.本文在分析了3种持久层主流解决方案的基础上,介绍了O-R映射开源项目Hibernate,并介绍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRRyBM.html" rel="bookmark" class="title">Photoshop教程 画钻石</a>
					<div>
						教程 第一步当然得知道钻石是啥样的呀?找一找这样的图片.网上到处是.呵呵..然后照着样子画出钻石的外形.如果你是想要得到一张精确一点的钻石图片.那你就老老实实的路径描边.如果你只是想画一个钻石让自己开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boxLBM.html" rel="bookmark" class="title">接收信息页面inform&period;asp--基于web的QQ程序</a>
					<div>
						web|程序|页面 &lt;%for i=1 to 30 if application(&quot;towho&quot;&amp;i)=session(&quot;user&quot;)respon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK78Wab.html" rel="bookmark" class="title">在OS X 10&period;9配置WebDAV服务器联合NSURLSessionUploadTask实现文件上传</a>
					<div>
						iOS7推出的NSURLSession简化了NSURLConnection的文件上传和下载的工作,本文记录如何配置WebDAV服务 以支持PUT方式的文件上传. 一. 配置WebDAV服务器 1. 修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91n0XM.html" rel="bookmark" class="title">Linux下显示模式刷新率的问题</a>
					<div>
						经常在bbs上看到有新手问到刷新率怎么改法,其实很简单. 在XFree86下,需要一个modeline的概念,虽然通过配置 HorizSync ,和VertRefresh能让XFree86自动把刷新搞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7833M.html" rel="bookmark" class="title">CLR完全介绍&colon; 托管代码与非托管代码之间的封送处理</a>
					<div>
						让我们面对现实吧.这个世界并不完美.几乎很少有公司在完全用托管代码开发程序,除此之外仍存在很多需要您处理的旧式非托管代码.您怎样将托管和非托管项目集成起来呢?在形式上是采用从托管应用程序调用非托管代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kBGaz.html" rel="bookmark" class="title">ASP&period;Net获取客户端网卡MAC的小例子</a>
					<div>
						这篇文章介绍了ASP.Net获取客户端网卡MAC的小例子,有需要的朋友可以参考一下   复制代码 代码如下: using System.Text.RegularExpressions; using S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j1o9b.html" rel="bookmark" class="title">php使用类继承解决代码重复的问题</a>
					<div>
						 这篇文章主要介绍了php使用类继承解决代码重复的问题,实例分析了继承的原理与使用技巧,非常具有实用价值,需要的朋友可以参考下     本文实例讲述了php使用类继承解决代码重复的问题.分享给大家供大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8N7lp.html" rel="bookmark" class="title">PHP6 中可能会出现的新特性预览</a>
					<div>
						 PHP核心团队开发者Pierre Joye近日在官网上贴出了PHP6中可能会出现的新特性.之所以说是&quot;可能会出现&quot;,是因为目前PHP6项目还处于草案阶段,这些特性还只是一个想法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42YnJM.html" rel="bookmark" class="title">Excel 单元格如何自动调整字体大小？</a>
					<div>
						  在使用Excel的过程中,我们往往先把表格根据要求做好,这时单元格的列宽已经固定好了,但有的列字符数目不等.比如在录入家庭住址时,有的家庭住址比较长,则会使该单元格中的内容不能完全显示在屏幕上,为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwxDKp.html" rel="bookmark" class="title">Google官方公布了Chrome OS源代码 已可下载</a>
					<div>
						北京时间11月20日凌晨消息,谷歌于美国西部时间11月19日上午10点(北京时间11月20日凌晨2点)在美国总部举行了Chrome操作系统的新闻发布会,谷歌产品副总裁Sundar-Pichai和谷歌C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXVjGp.html" rel="bookmark" class="title">进行高效数字化转型工作的7个习惯</a>
					<div>
						以技术为先导的数字化转型方法是造成灾难的一个因素.始终记住要以顾客为中心的最终目标来开始工作,而不是以彻底改革你的组织来开始工作. 在史蒂芬·科维(Stephen Covey)的畅销书&lt;高效能人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E5N4M.html" rel="bookmark" class="title">hadoop MapReduce实例解析</a>
					<div>
						1.MapReduce理论简介 1.1 MapReduce编程模型 MapReduce采用&quot;分而治之&quot;的思想,把对大规模数据集的操作,分发给一个主节点管理下的各个分节点共同完成,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm63nz.html" rel="bookmark" class="title">Android开发笔记之&colon; 数据存储方式详解&lowbar;Android</a>
					<div>
						无论是神马平台,神马开发环境,神马软件程序,数据都是核心.对于开发平台来讲,如果对数据的存储有良好的支持,那么对应用程序的开发将会有很大的促进作用.总体的来讲,数据存储方式有三种:一个是文件,一个是数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNnEVz.html" rel="bookmark" class="title">为什么存在的内容用搜索引擎却找不到</a>
					<div>
						     网上的信息浩如烟海,为了在最短的时间内找到所需的资料,我们都会借助搜索引擎来帮忙.目前各大搜索引擎都正在不断改进搜索技术和拓展搜索功能,从而让我们使用更加容易和方便.尽管如此,我们还是经常发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kxeBM.html" rel="bookmark" class="title">带你快速玩转canvas&mdash;&mdash;写个折线图</a>
					<div>
						需求: 1. 自适应父Dom的宽高,但设置canvas元素的最小宽高,小于最小宽高则设置父Dom带滚动条. 2. 窗口大小变化时,重新绘制折线图,以适应新的大小,保证折线图一直以最好效果展现: 3.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZl6Kb.html" rel="bookmark" class="title">深挖android low memory killer</a>
					<div>
						对于PC来说,内存是至关重要.如果某个程序发生了内存泄漏,那么一般情况下系统就会将其进程Kill掉.Linux中使用一种名称为OOM(Out Of Memory,内存不足)的机制来完成这个任务,该机制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr3rVM.html" rel="bookmark" class="title">Python基本语法&lowbar;函数属性 &amp;amp&semi;amp&semi; 参数类型 &amp;amp&semi;amp&semi; 偏函数的应用</a>
					<div>
						目录 目录 前言 软件环境 Python Module的程序入口 函数的属性 Python函数的创建 函数的参数 必备参数 缺省参数 命名参数 不定长参数 匿名参数 偏函数的应用 前言 Python除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kwVVM.html" rel="bookmark" class="title">【原】使用StarUML画用例图</a>
					<div>
						在写一份升级方案的时候,发现文字描述半天,好多句子,依然不容易被人看明白,使用visio画了个流程图,后来觉得画个时序图是最清晰得了. 于是在找了一个工具: startUML,当然,做时序图,建模之类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXvDOz.html" rel="bookmark" class="title">如何高效地计算出一个有向无环图中各个节点的祖先节点数和后代节点数？</a>
					<div>
						问题描述 如何高效地计算出一个有向无环图中各个节点的祖先节点数和后代节点数? 数据量较大,希望复杂度尽量低.现在实现图的数据结构是用HashMap记录对应标号的节点,再分别对每个节点使用HashMap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1mNJz.html" rel="bookmark" class="title">在线促销新模式赢在大平台</a>
					<div>
						在线促销新模式 赢在大平台 促销是营销者向消费者传递信息,吸引消费者购买其产品,以达到提升销售量的目的.常用的促销手段有广告.人员推销.网络营销.营业推广和公关等. 传统促销同质化严重,有些品牌会搞一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0Nojp.html" rel="bookmark" class="title">Facebook也会陷入资本困境吗</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 2008年下半年以来,我们的it业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x3ldb.html" rel="bookmark" class="title">乐途旅游网与九华山签订战略合作协议</a>
					<div>
						左:九华山风景区党工委副书记.九华山旅游集团总经理高峰 &amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;右: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jxewz.html" rel="bookmark" class="title">RedGate 工具SQLTEST 1&period;0&period;15&period;1</a>
					<div>
						原文:RedGate 工具SQLTEST 1.0.15.1 RedGate 工具SQLTEST 1.0.15.1 SQL TEST1.0.15.1的破解可以参考这篇文章:http://www.cnbl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RjVqz.html" rel="bookmark" class="title">人人乐变&OpenCurlyDoubleQuote;人人哭&rdquo;投资者向中纪委举报其财务造假</a>
					<div>
						上市3年业绩离奇巨亏市值缩水3/4,质疑联手保荐人安信证券http://www.aliyun.com/zixun/aggregation/20459.html&quot;&gt;财务造假 市值上,从上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodrZvM.html" rel="bookmark" class="title">著名反网游教授陶宏开又打回马枪再度炮轰魔兽</a>
					<div>
						[TechWeb报道]8月21日消息,称即将测试的游戏&lt;巫师之怒&gt;将成魔兽后&quot;第二公害&quot;的同时,著名反网游教授陶宏开又打回马枪再度炮轰魔兽.陶宏开称玩家被魔兽毒害,使其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0exyz.html" rel="bookmark" class="title">如何查看别人qq登陆地点&quest;查看它人qq登陆地点教程</a>
					<div>
						方法一 1.如果我们的QQ好友有打开&quot;分享我的地理位置及天气&quot;这样可以很简单的看到对方登录地址了, 3.好了有了IP地址,我们在百度直接输入 ip地址 4.这样百度就会显示此IP所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2Bakz.html" rel="bookmark" class="title">java中使用sax解析xml的解决方法&lowbar;java</a>
					<div>
						在java中,原生解析xml文档的方式有两种,分别是:Dom解析和Sax解析 Dom解析功能强大,可增删改查,操作时会将xml文档以文档对象的方式读取到内存中,因此适用于小文档 Sax解析是从头到尾逐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW753mM.html" rel="bookmark" class="title">php中Session工作原理与用法详解</a>
					<div>
						1.什么是Session 2.Session从用户访问页面开始,到断开与网站连接为止,形成一个会话的生命周期.在会话期间,分配客户唯一的一个SessionID,用来标识当前用户,与其他用户进行区分.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqxAOp.html" rel="bookmark" class="title">怎么查看软件安装路径&quest;</a>
					<div>
						1.如下图我们找到要查找软件安装路径的快捷方式,然后&quot;右键&quot;-&gt;&quot;属性&quot;如图所示 2.在这里我们会看到&quot;目录&quot;后面的框就是你软件安装路 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
